package com.qmth.distributed.print.business.bean.dto;


import cn.hutool.core.date.DateUtil;
import com.qmth.distributed.print.business.enums.ExamTaskSyncStatusEnum;
import com.qmth.teachcloud.common.contant.SystemConstant;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @Date: 2021/3/29.
 */
public class SyncExamTaskDto {

    private String examTaskId;
    private String courseCode;
    private String courseName;
    private String paperNumber;
    private String paperType;
    private String syncCardType;
    private String sequence;
    private Long startTime;
    private Long endTime;
    private String examDate;
    private String examTime;
    private Integer totalSubjects;
    private Integer thirdRelateId;
    private ExamTaskSyncStatusEnum syncStatus;
    private String syncStatusDisplay;
    private String errorMsg;
    private String syncUserName;
    private String printPlanIds;

    private String teachingRoomId;

    private String collegeId;
    private String collegeCode;
    private String collegeName;

    public String getExamTaskId() {
        return examTaskId;
    }

    public void setExamTaskId(String examTaskId) {
        this.examTaskId = examTaskId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getSyncCardType() {
        return syncCardType;
    }

    public void setSyncCardType(String syncCardType) {
        this.syncCardType = syncCardType;
    }

    public String getSequence() {
        return sequence;
    }

    public void setSequence(String sequence) {
        this.sequence = sequence;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public String getExamDate() {
        if (this.startTime != null) {
            return DateUtil.format(new Date(this.startTime), SystemConstant.DATE_PATTERN);
        }
        return "-";
    }

    public void setExamDate(String examDate) {
        this.examDate = examDate;
    }

    public String getExamTime() {
        if (this.startTime != null && this.endTime != null) {
            String startTimeTemp = DateUtil.format(new Date(this.startTime), SystemConstant.TIME_PATTERN);
            String endTimeTemp = DateUtil.format(new Date(this.endTime), SystemConstant.TIME_PATTERN);
            return startTimeTemp + "-" + endTimeTemp;
        }
        return "-";
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public Integer getTotalSubjects() {
        return totalSubjects;
    }

    public void setTotalSubjects(Integer totalSubjects) {
        this.totalSubjects = totalSubjects;
    }

    public Integer getThirdRelateId() {
        return thirdRelateId;
    }

    public void setThirdRelateId(Integer thirdRelateId) {
        this.thirdRelateId = thirdRelateId;
    }

    public ExamTaskSyncStatusEnum getSyncStatus() {
        return syncStatus;
    }

    public void setSyncStatus(ExamTaskSyncStatusEnum syncStatus) {
        this.syncStatus = syncStatus;
    }

    public String getSyncStatusDisplay() {
        return this.syncStatus != null ? syncStatus.getDesc() : "-";
    }

    public void setSyncStatusDisplay(String syncStatusDisplay) {
        this.syncStatusDisplay = syncStatusDisplay;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String getSyncUserName() {
        return syncUserName;
    }

    public void setSyncUserName(String syncUserName) {
        this.syncUserName = syncUserName;
    }

    public String getPrintPlanIds() {
        return printPlanIds;
    }

    public void setPrintPlanIds(String printPlanIds) {
        this.printPlanIds = printPlanIds;
    }

    public String getTeachingRoomId() {
        return teachingRoomId;
    }

    public void setTeachingRoomId(String teachingRoomId) {
        this.teachingRoomId = teachingRoomId;
    }

    public String getCollegeId() {
        return collegeId;
    }

    public void setCollegeId(String collegeId) {
        this.collegeId = collegeId;
    }

    public String getCollegeCode() {
        return collegeCode;
    }

    public void setCollegeCode(String collegeCode) {
        this.collegeCode = collegeCode;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }
}
